E-MailRelay

Public Types | Public Member Functions | Friends | List of all members
GNet::DnsMessageRR Class Reference

Represents DNS response record. More...

`#include <gdnsmessage.h>`

## Public Types
using | RR = DnsMessageRR

## Public Member Functions
| DnsMessageRR (const DnsMessage &, unsigned int offset)
| Constructor. More...
bool | isa (const std::string &) const
| Returns true if the type() has the given name(). More...
unsigned int | type () const
| Returns the type value(). More...
unsigned int | size () const
| Returns the size. More...
std::string | name () const
| Returns the NAME. More...
Address | address () const
| Returns the Address if isa(A) or isa(AAAA). More...

## Friends
class | DnsMessageDumper

## Detailed Description

Represents DNS response record.

Definition at line 180 of file gdnsmessage.h.

## Member Typedef Documentation

## ◆ RR

using GNet::DnsMessageRR::RR = DnsMessageRR

Definition at line 183 of file gdnsmessage.h.

## Constructor & Destructor Documentation

## ◆ DnsMessageRR()

GNet::DnsMessageRR::DnsMessageRR | ( | const DnsMessage & | msg,
|  | unsigned int | offset
| ) |  |

Constructor.

Keeps the reference, which is then passed to copies.

Definition at line 345 of file gdnsmessage.cpp.

## Member Function Documentation

## ◆ address()

GNet::Address GNet::DnsMessageRR::address | ( |  | ) | const

Returns the Address if isa(A) or isa(AAAA).

Definition at line 431 of file gdnsmessage.cpp.

## ◆ isa()

bool GNet::DnsMessageRR::isa | ( | const std::string & | type_name | ) | const

Returns true if the type() has the given name().

Definition at line 374 of file gdnsmessage.cpp.

## ◆ name()

std::string GNet::DnsMessageRR::name | ( |  | ) | const

Returns the NAME.

Definition at line 384 of file gdnsmessage.cpp.

## ◆ size()

unsigned int GNet::DnsMessageRR::size | ( |  | ) | const

Returns the size.

Definition at line 379 of file gdnsmessage.cpp.

## ◆ type()

unsigned int GNet::DnsMessageRR::type | ( |  | ) | const

Returns the type value().

Definition at line 369 of file gdnsmessage.cpp.

## Friends And Related Function Documentation

## ◆ DnsMessageDumper

friend class DnsMessageDumper
| friend

Definition at line 206 of file gdnsmessage.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.cpp